net9.0
namespace System.Net.Mail
{
    [AttributeUsage(AttributeTargets.Assembly | AttributeTargets.Class | AttributeTargets.Struct | AttributeTargets.Constructor | AttributeTargets.Method, AllowMultiple = true, Inherited = false)]
    [Obsolete("Code Access Security is not supported or honored by the runtime.", DiagnosticId = "SYSLIB0003", UrlFormat = "https://aka.ms/dotnet-warnings/{0}")]
    public sealed class SmtpPermissionAttribute : CodeAccessSecurityAttribute
}
NetFx Compat Lab
0.8 %
Reference this API
.NET 5.06.07.08.09.0
.NET Core 2.02.12.23.03.1
.NET Framework 2.03.03.54.04.54.5.14.5.24.64.6.14.6.24.74.7.14.7.24.84.8.1
.NET Standard 2.02.1
Information specific to net9.0
Assemblies

System.Security.Permissions , Version=9.0.0.0, PublicKeyToken=cc7b13ffcd2ddd51

System.Security.Permissions , Version=8.0.0.0, PublicKeyToken=cc7b13ffcd2ddd51

Referencing

Your project needs a package reference to System.Security.Permissions.

Package System.Security.Permissions net9.0
Obsolete SYSLIB0003: Code Access Security is not supported or honored by the runtime.
Platform Restrictions

This API is supported on all platforms.

  • Built-in API
  • Package-provided API

06/14/2024
An error has occurred. This application may no longer respond until reloaded. Reload 🗙